﻿@using Microsoft.Extensions.Localization;
@inject IStringLocalizer Localizer;
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>@ViewData["Title"] - Canyon.GM.Panel</title>
    <link rel="stylesheet" href="~/lib/bootstrap/dist/css/bootstrap.min.css" />
    <link rel="stylesheet" href="~/css/login.css" asp-append-version="true" />

    @await RenderSectionAsync("Styles", required: false)
</head>
<body class="text-center">
    <main class="form-signin w-100 m-auto">
        <img class="mb-4" src="~/images/logo.png" alt="Logo">
        <h1 class="h3 mb-3 fw-normal">@Localizer["PleaseSignIn"]</h1>

        @RenderBody()

        <p class="mt-5 text-muted">&copy; World Conquer Online 2023</p>
        <p>
            <small class="text-muted">@Localizer["Version"]: @Program.Version.Split('+')[0]</small>
            <br />
            <small class="mb-3 text-muted">@Localizer["BuildTime"]: @Program.BuildTime.ToLocalTime()</small>
        </p>
    </main>

    <script src="~/lib/jquery/dist/jquery.min.js"></script>
    <script src="~/lib/bootstrap/dist/js/bootstrap.bundle.min.js"></script>

    @await RenderSectionAsync("Scripts", required: false)
</body>
</html>